Avro C#

Public Member Functions | Properties | List of all members
Avro.File.DataBlock Class Reference

Encapsulates a block of data read by the DataFileReader<T>. We will remove this class from the public API in a future version because it is only meant to be used internally. More...

## Public Member Functions
| DataBlock (long numberOfEntries, long blockSize)
| Initializes a new instance of the DataBlock class. More...

## Properties
byte[] | Data`[get, set]`
| Raw bytes within this block. More...
long | NumberOfEntries`[get, set]`
| Number of entries in this block. More...
long | BlockSize`[get, set]`
| Size of this block in bytes. More...

## Detailed Description

Encapsulates a block of data read by the DataFileReader<T>. We will remove this class from the public API in a future version because it is only meant to be used internally.

## Constructor & Destructor Documentation

## ◆ DataBlock()

Avro.File.DataBlock.DataBlock | ( | long | numberOfEntries,
|  | long | blockSize
| ) |  |
| inline

Initializes a new instance of the DataBlock class.

Parameters

  numberOfEntries | Number of entries in this block.
  blockSize | Size of this block in bytes.

## Property Documentation

## ◆ BlockSize

long Avro.File.DataBlock.BlockSize
| get set

Size of this block in bytes.

## ◆ Data

byte [] Avro.File.DataBlock.Data
| get set

Raw bytes within this block.

## ◆ NumberOfEntries

long Avro.File.DataBlock.NumberOfEntries
| get set

Number of entries in this block.

The documentation for this class was generated from the following file:

- src/apache/main/File/DataBlock.cs